Search contact profiles with structured filters
curl --request POST \
--url https://api-v2.watchcollect.com/v2/profiles/contacts/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"q": "<string>",
"country_prefixes_include": [
"<string>"
],
"country_prefixes_exclude": [
"<string>"
],
"has_selling": true,
"has_buying": true,
"group_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"last_seen_from_ms": 123,
"last_seen_to_ms": 123,
"sort": "last_seen",
"page_size": 100,
"cursor": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
q: '<string>',
country_prefixes_include: ['<string>'],
country_prefixes_exclude: ['<string>'],
has_selling: true,
has_buying: true,
group_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
last_seen_from_ms: 123,
last_seen_to_ms: 123,
sort: 'last_seen',
page_size: 100,
cursor: '<string>'
})
};
fetch('https://api-v2.watchcollect.com/v2/profiles/contacts/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/profiles/contacts/search"
payload = {
"q": "<string>",
"country_prefixes_include": ["<string>"],
"country_prefixes_exclude": ["<string>"],
"has_selling": True,
"has_buying": True,
"group_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"last_seen_from_ms": 123,
"last_seen_to_ms": 123,
"sort": "last_seen",
"page_size": 100,
"cursor": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"raw_sender_id": "<string>",
"resolution_status": "<string>",
"first_seen_at_ms": 123,
"last_seen_at_ms": 123,
"message_count": 123,
"classified_count": 123,
"listing_count": 123,
"selling_count": 123,
"buying_count": 123,
"reference_count": 123,
"group_count": 123,
"display_name": "<string>",
"phone_number": "<string>",
"lid": "<string>",
"country_prefix": "<string>"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}profiles
Search contact profiles with structured filters
POST
/
v2
/
profiles
/
contacts
/
search
Search contact profiles with structured filters
curl --request POST \
--url https://api-v2.watchcollect.com/v2/profiles/contacts/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"q": "<string>",
"country_prefixes_include": [
"<string>"
],
"country_prefixes_exclude": [
"<string>"
],
"has_selling": true,
"has_buying": true,
"group_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"last_seen_from_ms": 123,
"last_seen_to_ms": 123,
"sort": "last_seen",
"page_size": 100,
"cursor": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
q: '<string>',
country_prefixes_include: ['<string>'],
country_prefixes_exclude: ['<string>'],
has_selling: true,
has_buying: true,
group_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
last_seen_from_ms: 123,
last_seen_to_ms: 123,
sort: 'last_seen',
page_size: 100,
cursor: '<string>'
})
};
fetch('https://api-v2.watchcollect.com/v2/profiles/contacts/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/profiles/contacts/search"
payload = {
"q": "<string>",
"country_prefixes_include": ["<string>"],
"country_prefixes_exclude": ["<string>"],
"has_selling": True,
"has_buying": True,
"group_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"last_seen_from_ms": 123,
"last_seen_to_ms": 123,
"sort": "last_seen",
"page_size": 100,
"cursor": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"raw_sender_id": "<string>",
"resolution_status": "<string>",
"first_seen_at_ms": 123,
"last_seen_at_ms": 123,
"message_count": 123,
"classified_count": 123,
"listing_count": 123,
"selling_count": 123,
"buying_count": 123,
"reference_count": 123,
"group_count": 123,
"display_name": "<string>",
"phone_number": "<string>",
"lid": "<string>",
"country_prefix": "<string>"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
last_seen, listings, messages, references Available options:
asc, desc Required range:
1 <= x <= 200